/**
 * Copyright 2021 Gravitational Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import React from 'react'
import { storiesOf } from '@storybook/react'
import { ClusterDisconnectDialog } from './ClusterDisconnectDialog';

storiesOf('GravityHub/ClusterDisconnectDialog', module)
  .add('ClusterDisconnectDialog', () => (
    <ClusterDisconnectDialog {...dialogProps} />
  ))
  .add('Error', () => (
    <ClusterDisconnectDialog { ...dialogProps } attempt={{isFailed: true, message: serverError}}
      />
  ));

const serverError = "this is a long error message which should be wrapped";

const dialogProps = {
  cluster: {
    siteId: 'cluster_name',
  },
  attempt: { },
  attemptActions: { },
  onClose: () => null
}
