/*
Copyright 2019 Gravitational, Inc.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

export const eula = `1. What information we collect
We collect two types of information about you: Personally Identifiable Information and Non-personally Identifiable Information.

“Personally Identifiable Information” is information that lets us know who you are, specifically. Information in this category includes the information you use when submitting your information on our contact form or registering to use the Platform, like your name, email address, associated domain name and credit card information. Your login credentials are also Personally Identifiable Information. Finally, this category includes information tied to your identity that you provide us through other means, such as emails to our support service and comments on our blog.

“Non-personally Identifiable Information” is information that doesn’t let us determine your identity. This generally comes from your use of the Services after registering. For instance, our web server logs may show us that someone with a certain IP address visited the Site using a certain web browser, but we can’t use that information alone to say whether the visitor was you or someone else. Non-personally Identifiable Information also includes information that could personally identify you in its original form, but that we have modified to remove or hide (for instance, by aggregation) any Personally Identifiable Information. This collection of information occurs automatically when you use the Services.

We also use web cookies and reserve the right to use web beacons (“Cookies”). These are small files associated with information that your browser or our servers will save and return as part of the Services for purposes such as saving your login session between visits, remembering your display preferences and tracking your use of the site. While Cookies do not contain Personally Identifiable Information, we may associate the information they contain with Personally Identifiable Information for these and similar purposes. You may opt out of our use of cookies by configuring your browser to reject them. However, this may cause some features of the Services to work incorrectly.

2. How we use your information
We use the information we collect about you to provide the Services to you. As part of that purpose, we may use your Personally Identifiable Information and Non-personally Identifiable Information:

to create and maintain your Platform account, and to control access to it;
to respond to any requests you may submit for support or sales information, or similar communications;
to communicate with you (for example through newsletters, announcements or special offers) about the Services;
for billing and collection purposes, if you have subscribed to one of our paid plans; and
to help promote compliance with other any agreements between us.
We may use your Non-personally Identifiable Information to enhance the Services, for instance through web analytics or troubleshooting. We may also use aggregated or depersonalized information to promote our Services, such as by citing usage statistics.

We may also use your information in the ways described above through a third-party contractor rather than in-house. If we do, we’ll require our contractors to protect your data on terms at least as strict as those in this policy.

3. Third parties
Except for the limited circumstances described in this policy, we do not provide your information to third parties.

We host the Site using third parties, including Amazon Web Services (the “hosting providers”). For this reason, we will provide the information we collect to Hosting Providers, and the Hosting Providers will serve it from its data centers throughout the United States.

We may use a third party to process payments in the future, and therefore provide them with the Personally Identifiable Information required to charge your credit card.

We may use third-party services either embedded into our Site (such as Tumblr®, Disqus®, Mixpanel™ and Google Analytics®) or outside of it (such as GitHub® and Twitter®) to communicate with you or to enhance the function of the Services. While we provide these third parties with no more information than is necessary to enable their use, any information that you provide these services independently is subject to their respective privacy policies and practices. We may in the future add additional third-party services or stop using some that we currently use, and we may not update this policy to reflect these changes.

Finally, we may be required by law or court order to provide Personally Identifiable Information or Non-personally Identifiable Information to government authorities or private parties. We fully cooperate with law enforcement agencies in identifying those who use the Services for illegal activities, and we may report to law enforcement any activities that we believe in good faith are unlawful.


`









